Bug 447934 - src.rpm doesn't build
src.rpm doesn't build
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xulrunner (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Gecko Maintainer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 10:44 EDT by Zenon Panoussis
Modified: 2008-09-15 05:37 EDT (History)
0 users

See Also:
Fixed In Version: 1.9-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-15 05:37:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zenon Panoussis 2008-05-22 10:44:07 EDT
Description of problem:
rpmbuild --rebuild xulrunner-1.9-0.beta5.6.el5.src.rpm produces a warning about
wrong find -maxdepth syntax and later crashes because glob %{mandir}/man1/*
can't find any files. There are indeed no files there to be found. 

The following fixes both problems:

--- xulrunner.spec.orig 2008-04-28 09:20:30.000000000 +0200
+++ xulrunner.spec      2008-05-22 15:41:58.000000000 +0200
@@ -174,12 +174,12 @@
 %{__install} -p -D -m 644 rh-default-prefs
$RPM_BUILD_ROOT/${MOZ_APP_DIR}/defaults/pref/all-redhat.js
 %{__rm} rh-default-prefs

-%{__install} -p -D -m 644 %{SOURCE23} $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
+#%{__install} -p -D -m 644 %{SOURCE23} $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

 %{__rm} -f $RPM_BUILD_ROOT${MOZ_APP_DIR}/%{name}-config

 cd $RPM_BUILD_ROOT${MOZ_APP_DIR}/chrome
-find . -name "*" -type d -maxdepth 1 -exec %{__rm} -rf {} \;
+find . -maxdepth 1 -name "*" -type d -exec %{__rm} -rf {} \;
 cd -

 # system extensions and plugins support
@@ -318,7 +318,7 @@
 %files
 %defattr(-,root,root,-)
 %{_bindir}/xulrunner
-%{_mandir}/man1/*
+#%{_mandir}/man1/*
 %{_libdir}/mozilla
 %{_datadir}/mozilla
 %dir /etc/gre.d
Comment 1 Matěj Cepl 2008-07-29 19:51:55 EDT
Is this still an issue with the current release of xulrunner on your computer?
Comment 2 Matěj Cepl 2008-09-12 18:03:40 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Zenon Panoussis 2008-09-14 04:42:16 EDT
(In reply to comment #1)

No; 1.9-1.el5 builds correctly without patching.
Comment 4 Matěj Cepl 2008-09-15 05:37:33 EDT
Thanks

Note You need to log in before you can comment on or make changes to this bug.